Subject: Re[2]: Pager breakage - move.c rewrite suspected

From: Bob Woodside <[email-masked]>
Date: Fri, 6 Nov 1998 22:50:49 -0500 (EST)

[email-masked] wrote:
> > 	I didn't quite understand what you were trying to fix, so I decided
> > to try doing various moves, and discovered that something else has gone
> > astray. Move invoked from a menu bound to a titlebar button simply doesn't
> > work anymore (with or without the XQueryPointer)! You can interactively move
> > the window around, but when you drop it, it snaps back to its original
> > position.  
> 
> How did you invoke the move (key or button). I wrote some code that should
> allow you to undo a move with the mouse (just like pressing <ESC>). It
> should be like this: If you drag the window holding down a button,
> pressing an releasing a different button terminates the move. This
> should only happen if you are dragging with a button pressed. Can you
> verify if the behaviour you see matches with what I describe?

	Ah...now I think I'm beginning to understand what Tim was trying to
fix! I so seldom use keyboard shortcuts, I sometimes forget that they're there.
In my case, I 1) pull down a menu (the standard old Window-Ops2) with a
mouse-click on Titlebar button 1, then 2) click on the first menu item, "Move".
At this point, the cursor changes to the move/resize cursor, and I can begin
dragging (with or without pressing the mouse button). All appears to go well
until I drop the window (button release or click), at which point the window
snaps back to its starting position.

	Now, if I select the menu item with its keyboard shortcut instead of
a mouse click, the move works properly: the window stays moved when I drop
it.

	I've also found that the same misbehavior occurs with resize invoked from
a menu bound to the window decorations. If resize is selected from the menu via
its keyboard shortcut, it works fine; if it's selected by a mouse click on the
menu item, the window remains its original size when you release the rubber
band.

	I hope this helps clarify the problem.

- Bob

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Sat, 7 Nov 1998 15:32:55 +0100

Fixed as soon as I check in (move/resize abort problem).

Bye

Dominik
-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].